> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# GetUserProfile

This method retrieves the privacy settings and personal information (address, phone number, etc.) from a user ID card.

GetUserProfile takes the argument:

| Name      | Schema Type | Description                                                          |
| --------- | ----------- | -------------------------------------------------------------------- |
| UserID    | String      | The User ID for the user for which you want to retrieve information. |
| AccountID | String      | The Account ID for the account associated with the user.             |

## Sample Request XML

```
POST /api/3.0/accountmanagement.asmx HTTP/1.1
Host: test.docusign.net
Content-Type: text/xml; charset=utf-8
Content-Length: length
SOAPAction: "http://www.docusign.net/API/AccountManagement/GetUserProfile"

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
   <soap: Body>
      <GetUserProfile xmlns="http://www.docusign.net/API/AccountManagement">
         <UserId>string</UserId>
         <AccountId>string</AccountId>
      </GetUserProfile>
   </soap:Body>
</soap:Envelope>
```

The response returns the user profile information from the user’s ID card. The User Profile contains the following information.

| Name                   | Schema Type          | Description                                                                                                                                                                                                                                                                                                     |
| ---------------------- | -------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| AccountId              | String               | The Account ID for the account associated with the user.                                                                                                                                                                                                                                                        |
| UserId                 | String               | User ID for the user.                                                                                                                                                                                                                                                                                           |
| ShowDocusignID         | Boolean              | When true, the user’s ID card can be viewed from signed documents and envelope history.                                                                                                                                                                                                                         |
| DisplayCompanyAndTitle | Boolean              | When true, the user’s company and title information are shown on the ID card.                                                                                                                                                                                                                                   |
| DisplayAddressAndPhone | Boolean              | When true, the user’s Address and Phone number are shown on the ID card.                                                                                                                                                                                                                                        |
| DisplayUsageHistory    | Boolean              | When true, the user’s usage information is shown on the ID card.                                                                                                                                                                                                                                                |
| Company                | String               | The user’s Company information.                                                                                                                                                                                                                                                                                 |
| Title                  | String               | The user’s Title information.                                                                                                                                                                                                                                                                                   |
| Address                | Address              | A complex element consisting of the optional elements:\n\n• Address1\n• Address2\n• City\n• State\n• Zip\n• Phone\n• Fax\n• Country                                                                                                                                                                             |
| AuthenticationHistory  | AuthenticationMethod | Shows the authentication methods used by the user.                                                                                                                                                                                                                                                              |
| UsageHistory           | Usage History        | A complex element consisting of:\n\n• SignedCount – the number of envelopes the user has signed\n• LastSignedTimestamp – the date and time the user last signed an envelope.\n• SentCount – the number of envelopes the user has sent.\n• LastSentTimestamp – the date and time the user last sent an envelope. |

## Sample Response XML

```
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
   <soap: Body>
      <GetUserProfileResponse xmlns="http://www.docusign.net/API/AccountManagement">
         <GetUserProfileResult>
            <UserProfile>
               <AccountId>string</AccountId>
               <UserId>string</UserId>
               <ShowDocusignID>boolean</ShowDocusignID>
               <DisplayCompanyAndTitle>boolean</DisplayCompanyAndTitle>
               <DisplayAddressAndPhone>boolean</DisplayAddressAndPhone>
               <DisplayUsageHistory>boolean</DisplayUsageHistory>
               <Company>string</Company>
               <Title>string</Title>
               <Address>
                  <Address1>string</Address1>
                  <Address2>string</Address2>
                  <City>string</City>
                  <State>string</State>
                  <Zip>string</Zip>
                  <Phone>string</Phone>
                  <Fax>string</Fax>
                  <Country>string</Country>
               </Address>
               <AuthenticationHistory>
                  <AuthenticationMethod xsi:nil="true" />
                  <AuthenticationMethod xsi:nil="true" />
               </AuthenticationHistory>
               <UsageHistory>
                  <SignedCount>int</SignedCount>
                  <LastSignedTimestamp>dateTime</LastSignedTimestamp>
                  <SentCount>int</SentCount>
                  <LastSentTimestamp>dateTime</LastSentTimestamp>
               </UsageHistory>
            </UserProfile>
            <Success>boolean</Success>
            <Error>
               <ErrorCode>Unspecified_Error or Invalid_Account_ID or Account_Requires_User_Name_And_Password_For_Activation or Account_Is_Already_Activated_For_Salesforce or Invalid_Distributor_For_Account or Invalid_User_ID or Invalid_Account or User_Is_Not_An_Account_Manager or Invalid_Login or Invalid_Member_User_Name or Invalid_Member_Email or Member_Email_Not_Allowed or Member_Email_And_User_Name_Awaiting_Activation or Member_Email_And_User_Name_Already_Exists_For_This_Account or Member_Password_Blank or Member_Forgotten_Password_Question_Blank or Member_Forgotten_Password_Answer_Blank or Invalid_Password_Format or Invalid_Member_Data or Member_Email_And_User_Name_Already_Exists or Not_Authorized or Invalid_Distributor_Selected or Invalid_PGP_For_Distributor or Invalid_Credit_Card_Type or CreditCard_Auth_Failed or Invalid_PGP or Invalid_Plan_Retired or Invalid_Successor_Plan or Invalid_Credit_Card or Credit_Card_Expiration or Invalid_AppToken or Distributor_Not_Enabled_For_AppToken or Plan_Group_Not_Enabled_For_Distributor or Invalid_Configuration_Number or Invalid_Salesforce_Credentials or Invalid_Salesforce_External_Instance_ID or Invalid_Docusign_Connect_Configuration_For_Account or Invalid_User or Invalid_Membership or Invalid_Account_Member or Invalid_Edit_User or Invalid_Edit_Membership or Invalid_CanEditSharedAddressBook_Value or Invalid_CanManageTemplates_Value or Invalid_Membership_ID or Invalid_Request or Partner_Authentication_Failed or Hourly_API_Invocation_Limit_Exceeded or Initialize_Client_Account_Error or Max_Members_Exceeded or Invalid_File_Or_Too_Large</ErrorCode>
               <Description>string</Description>
            </Error>
         </GetUserProfileResult>
      </GetUserProfileResponse>
   </soap:Body>
</soap:Envelope>
```